Bitmine Immersion Technologies, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1773532800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/bitmine-immersion-technologies-bmnr-announces-eth-holdings-reach-4-596-million-tokens-and-total-crypto-and-total-cash-holdings-of-11-5-billion-302714219.html?tc=eml_cleartime",
    "holding_balance": 196.0,
    "holding_net_change": 1.0,
    "transaction_value_usd": 72856.93,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1774828800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/bitmine-immersion-technologies-bmnr-announces-eth-holdings-reach-4-732-million-tokens-and-total-crypto-and-total-cash-holdings-of-10-7-billion-302728176.html?tc=eml_cleartime",
    "holding_balance": 197.0,
    "holding_net_change": 1.0,
    "transaction_value_usd": 66680.22,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1775433600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.prnewswire.com/news-releases/bitmine-immersion-technologies-bmnr-announces-eth-holdings-reach-4-803-million-tokens-and-total-crypto-and-total-cash-holdings-of-11-4-billion-302734414.html?tc=eml_cleartime",
    "holding_balance": 198.0,
    "holding_net_change": 1.0,
    "transaction_value_usd": 68819.54,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    198.0
  ],
  [
    1779062400000,
    198.0
  ],
  [
    1779148800000,
    198.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    15331112.28
  ],
  [
    1779062400000,
    15234965.46
  ],
  [
    1779148800000,
    15198481.98
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 19.85,
    "date": "2026-05-15",
    "high": 21.33,
    "open": 21.28,
    "close": 19.87,
    "volume": 50478500
  },
  {
    "low": 18.29,
    "date": "2026-05-18",
    "high": 19.39,
    "open": 19.34,
    "close": 18.73,
    "volume": 47949100
  },
  {
    "low": 18.292,
    "date": "2026-05-19",
    "high": 18.955,
    "open": 18.49,
    "close": 18.63,
    "volume": 29256041
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0.17
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -17.31,
  "six_month_return": -45.84,
  "three_month_return": -6.0
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/bitmine-immersion-technologies-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.1,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}